ICH_PATA_CABLE_DETEC(9)

NAME
ich_pata_cable_detect - Probe host controller cable detect info

SYNOPSIS

int ich_pata_cable_detect(struct ata_port * ap);

ARGUMENTS

ap
    Port for which cable detect info is desired

DESCRIPTION

Read 80c cable indicator from ATA PCI device's PCI config register. This register is normally set by firmware (BIOS).

LOCKING

None (inherited from caller).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT